<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Extract questionnaire item field value — qstnr_item_val • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Extract questionnaire item field value — qstnr_item_val"><meta name="description" content="Extracts a single questionnaire item field value for every first- for every second-level iterator from the raw FOKUS questionnaire data based on
the specified variable name and branch path."><meta property="og:description" content="Extracts a single questionnaire item field value for every first- for every second-level iterator from the raw FOKUS questionnaire data based on
the specified variable name and branch path."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Extract questionnaire item field value</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>qstnr_item_val.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Extracts a single questionnaire item field value for every first- for every second-level iterator from the <a href="raw_qstnr.html">raw FOKUS questionnaire data</a> based on
the specified variable name and branch path.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">qstnr_item_val</span><span class="op">(</span></span>
<span>  ballot_date <span class="op">=</span> <span class="fu">funky</span><span class="fu">::</span><span class="fu"><a href="https://funky.rpkg.dev/reference/config_val.html" class="external-link">config_val</a></span><span class="op">(</span><span class="st">"ballot_date"</span><span class="op">)</span>,</span>
<span>  canton <span class="op">=</span> <span class="fu"><a href="cantons.html">cantons</a></span><span class="op">(</span><span class="va">ballot_date</span><span class="op">)</span>,</span>
<span>  <span class="va">branch_path</span>,</span>
<span>  <span class="va">var_name</span>,</span>
<span>  key <span class="op">=</span> <span class="va">qstnr_item_keys</span><span class="op">$</span><span class="va">key</span>,</span>
<span>  lvl <span class="op">=</span> <span class="st">"?"</span>,</span>
<span>  i <span class="op">=</span> <span class="cn">NA_integer_</span>,</span>
<span>  j <span class="op">=</span> <span class="cn">NA_integer_</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-ballot-date">ballot_date<a class="anchor" aria-label="anchor" href="#arg-ballot-date"></a></dt>
<dd><p>FOKUS-covered ballot date. One of</p><ul><li><p><code>"2018-09-23"</code></p></li>
<li><p><code>"2018-11-25"</code></p></li>
<li><p><code>"2019-10-20"</code></p></li>
<li><p><code>"2020-09-27"</code></p></li>
<li><p><code>"2020-10-18"</code></p></li>
<li><p><code>"2021-11-28"</code></p></li>
<li><p><code>"2023-06-18"</code></p></li>
<li><p><code>"2024-10-20"</code></p></li>
</ul></dd>


<dt id="arg-canton">canton<a class="anchor" aria-label="anchor" href="#arg-canton"></a></dt>
<dd><p>FOKUS-covered canton name. One of</p><ul><li><p><code>"aargau"</code></p></li>
</ul></dd>


<dt id="arg-branch-path">branch_path<a class="anchor" aria-label="anchor" href="#arg-branch-path"></a></dt>
<dd><p>Sequence of questionnaire table levels that lead to the <code>item</code> leaf node where <code>var_name</code> is defined. A character vector.</p></dd>


<dt id="arg-var-name">var_name<a class="anchor" aria-label="anchor" href="#arg-var-name"></a></dt>
<dd><p>Variable name, without resolved string interpolation, i.e. 1:1 as stated in the raw FOKUS questionnaire data. A character scalar.</p></dd>


<dt id="arg-key">key<a class="anchor" aria-label="anchor" href="#arg-key"></a></dt>
<dd><p>Questionnaire item key. One of</p><ul><li><p><code>"lvl"</code></p></li>
<li><p><code>"i"</code></p></li>
<li><p><code>"j"</code></p></li>
<li><p><code>"block"</code></p></li>
<li><p><code>"variable_name"</code></p></li>
<li><p><code>"who"</code></p></li>
<li><p><code>"topic"</code></p></li>
<li><p><code>"question_intro_i"</code></p></li>
<li><p><code>"question_intro_j"</code></p></li>
<li><p><code>"question"</code></p></li>
<li><p><code>"question_full"</code></p></li>
<li><p><code>"question_common"</code></p></li>
<li><p><code>"variable_label"</code></p></li>
<li><p><code>"variable_label_common"</code></p></li>
<li><p><code>"response_options"</code></p></li>
<li><p><code>"variable_values"</code></p></li>
<li><p><code>"value_labels"</code></p></li>
<li><p><code>"value_scale"</code></p></li>
<li><p><code>"allow_multiple_answers"</code></p></li>
<li><p><code>"randomize_response_options"</code></p></li>
<li><p><code>"is_mandatory"</code></p></li>
<li><p><code>"ballot_types"</code></p></li>
<li><p><code>"include"</code></p></li>
</ul></dd>


<dt id="arg-lvl">lvl<a class="anchor" aria-label="anchor" href="#arg-lvl"></a></dt>
<dd><p>Political-level loop iterator that can be referred to in field value via <a href="https://glue.tidyverse.org/reference/glue.html" class="external-link">string interpolation</a>. A character vector.</p></dd>


<dt id="arg-i">i<a class="anchor" aria-label="anchor" href="#arg-i"></a></dt>
<dd><p>Second-level loop iterator that can be referred to in field value via <a href="https://glue.tidyverse.org/reference/glue.html" class="external-link">string interpolation</a>. An integerish vector.</p></dd>


<dt id="arg-j">j<a class="anchor" aria-label="anchor" href="#arg-j"></a></dt>
<dd><p>Third-level loop iterator that can be referred to in field value via <a href="https://glue.tidyverse.org/reference/glue.html" class="external-link">string interpolation</a>. An integerish vector.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A vector of the resolved item field values. Type and length of resolved values depend on <code>key</code>.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>When used in questionnaire item field values via <a href="https://glue.tidyverse.org/reference/glue.html" class="external-link">string interpolation</a>, be careful to not create infinite loops via circular references.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other questionnaire-internal functions:
<code><a href="qstnr_parties.html">qstnr_parties</a>()</code>,
<code><a href="qstnr_response_option_codes.html">qstnr_response_option_codes</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">fokus</span><span class="fu">:::</span><span class="fu">qstnr_item_val</span><span class="op">(</span>ballot_date <span class="op">=</span> <span class="st">"2018-09-23"</span>,</span></span>
<span class="r-in"><span>                       canton <span class="op">=</span> <span class="st">"aargau"</span>,</span></span>
<span class="r-in"><span>                       branch_path <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"03_proposal_specific"</span>, <span class="st">"004_participants"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>                       var_name <span class="op">=</span> <span class="st">"appeal_federal_proposals"</span>,</span></span>
<span class="r-in"><span>                       key <span class="op">=</span> <span class="st">"include"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] TRUE</span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="fu">fokus</span><span class="fu">:::</span><span class="fu">qstnr_item_val</span><span class="op">(</span></span></span>
<span class="r-in"><span>  ballot_date <span class="op">=</span> <span class="st">"2019-10-20"</span>,</span></span>
<span class="r-in"><span>  canton <span class="op">=</span> <span class="st">"aargau"</span>,</span></span>
<span class="r-in"><span>  branch_path <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"02_political_start"</span>, <span class="st">"002_non_participation"</span>,</span></span>
<span class="r-in"><span>                  <span class="st">"003_election"</span>, <span class="st">"z01_hypothetical"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>  var_name <span class="op">=</span> <span class="st">"hypothetical_voting_decision_federal_majoritarian_election_{i}_seat_{j}"</span>,</span></span>
<span class="r-in"><span>  key <span class="op">=</span> <span class="st">"topic"</span>,</span></span>
<span class="r-in"><span>  i <span class="op">=</span> <span class="fl">1</span><span class="op">:</span><span class="fl">2</span>,</span></span>
<span class="r-in"><span>  j <span class="op">=</span> <span class="fl">1</span><span class="op">:</span><span class="fl">3</span></span></span>
<span class="r-in"><span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "Hypothetischer Stimmentscheid Sitz 1 eidgenössische Mehrheitswahl 1" "Hypothetischer Stimmentscheid Sitz 2 eidgenössische Mehrheitswahl 1"</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [3] "Hypothetischer Stimmentscheid Sitz 3 eidgenössische Mehrheitswahl 1" "Hypothetischer Stimmentscheid Sitz 1 eidgenössische Mehrheitswahl 2"</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [5] "Hypothetischer Stimmentscheid Sitz 2 eidgenössische Mehrheitswahl 2" "Hypothetischer Stimmentscheid Sitz 3 eidgenössische Mehrheitswahl 2"</span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

